# CommandArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents data passed to [ICommand](/api/wisej.web/interfaces/wisej.web.icommand.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class CommandArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class CommandArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) CommandArgs(dataItem, commandSource, bindingContext, currencyManager)

Initializes a new instance of [CommandArgs](/api/wisej.web/data-binding/wisej.web.commandargs.md).

| Name                | Type                                                                        | Description                                                                                           |
| ------------------- | --------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| **dataItem**        | [Object](https://docs.microsoft.com/dotnet/api/system.object)               | Current data item in the data source, or null.                                                        |
| **commandSource**   | [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md)     | The [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md) that invoked the command. |
| **bindingContext**  | [BindingContext](/api/wisej.web/data-binding/wisej.web.bindingcontext.md)   | Current [BindingContext](#bindingcontext) or null.                                                    |
| **currencyManager** | [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) | The [CurrencyManager](#currencymanager) for the current data source, or null.                         |

All arguments are optional.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingContext

[BindingContext](/api/wisej.web/data-binding/wisej.web.bindingcontext.md): Returns or sets the current [BindingContext](/api/wisej.web/data-binding/wisej.web.bindingcontext.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) CommandSource

[ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md): Returns or sets the [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md) that invoked the command.

### ![](/files/hsR4ok3152WyAf8J2C1u) CurrencyManager

[CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md): Returns or sets the current [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) DataItem

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the current data item.

## Inherited By

| Name                                                                                             | Description                                                                                  |
| ------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------- |
| [CommandArgs\<T>](/api/wisej.web/data-binding/wisej.web.commandargs-less-than-t-greater-than.md) | Represents typed data passed to [ICommand](/api/wisej.web/interfaces/wisej.web.icommand.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.commandargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
